Subject: Re: bug#69912: configure tries to find libgccjit when --with-native-compilation=no

From: Eli Zaretskii <[email-masked]>
Date: Wed, 20 Mar 2024 15:14:33 +0200

> From: Pedro Andres Aranda Gutierrez <[email-masked]>
> Date: Wed, 20 Mar 2024 11:47:38 +0100
> 
> When I compile Emacs for macOS, I disable native-compilation for good:
> 
> ./configure PKG_CONFIG_PATH=/usr/local/lib/pkgconfig \
>             LDFLAGS="-L/usr/local/lib" CPPFLAGS="-I/usr/local/include” \
>             CC=clang OBJC=clang CFLAGS="-g -O3” <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
>             --with-ns --with-modules --with-jansson \
>             --with-native-compilation=no
> 
> I keep getting all these messages about GCCJIT:

Is that backslash that is missing there after -O3 indeed missing?  If
so, please try with the missing backslash.

If that doesn't help, please post your config.log here, so we could
examine it and try to understand why the configure script is testing
libgccjit even though you said --with-native-compilation=no.  I have
the current master built on 2 different systems without
native-compilation, and I don't see these tests at configure time on
those systems.  (Are you seeing this with the master branch or some
other branch, btw?)